import CustomeLayout from "@/ui/Layout";
import type { Metadata } from "next";
import { Geist, Geist_Mono } from "next/font/google";
import './global.scss';

const geistSans = Geist({
  variable: "--font-geist-sans",
  subsets: ["latin"],
});

const geistMono = Geist_Mono({
  variable: "--font-geist-mono",
  subsets: ["latin"],
});

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({children}: Readonly<{children: React.ReactNode}>) {
  return (
    <html lang="en">
      <body className={`${geistSans.variable} ${geistMono.variable}`}>
        <CustomeLayout>
          {children}
        </CustomeLayout>
      </body>
    </html>
  );
}